Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.bean
Class AggregatingMBean

    java.lang.Object
      org.jini.rio.bean.AggregatingMBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, NotificationBroadcaster, NotificationEmitter

    public class AggregatingMBean

extends Object
implements DynamicMBean, MBeanRegistration, NotificationEmitter

Creates a `DynamicMBean` that manages the delegation between the service bean standard MBean and a POJO's standard MBean. This is created when the bean implements a standard MBean interface.

Method Summary
`void` | `addNotificationListener(NotificationListener listener, NotificationFilter filter, Object object)`
`Object` | `getAttribute(String string)`
`AttributeList` | `getAttributes(String[] strings)`
`MBeanInfo` | `getMBeanInfo()`
`MBeanNotificationInfo[]` | `getNotificationInfo()`
`Object` | `invoke(String actionName, Object[] params, String[] signature)`
`void` | `postDeregister()`
`void` | `postRegister(Boolean aBoolean)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer mBeanServer, ObjectName objectName)`
`void` | `removeNotificationListener(NotificationListener listener)`
`void` | `removeNotificationListener(NotificationListener listener, NotificationFilter filter, Object object)`
`void` | `setAttribute(Attribute attribute)`
`AttributeList` | `setAttributes(AttributeList attributeList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAttribute

    public Object getAttribute(String string)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

  Specified by:
    `getAttribute` in interface `DynamicMBean`
  Throws:
    `AttributeNotFoundException`
    `MBeanException`
    `ReflectionException`

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Specified by:
    `setAttribute` in interface `DynamicMBean`
  Throws:
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### getAttributes

    public AttributeList getAttributes(String[] strings)

  Specified by:
    `getAttributes` in interface `DynamicMBean`

### setAttributes

    public AttributeList setAttributes(AttributeList attributeList)

  Specified by:
    `setAttributes` in interface `DynamicMBean`

### invoke

    public Object invoke(String actionName,
                         Object[] params,
                         String[] signature)
                  throws MBeanException,
                         ReflectionException

  Specified by:
    `invoke` in interface `DynamicMBean`
  Throws:
    `MBeanException`
    `ReflectionException`

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `DynamicMBean`

### preRegister

    public ObjectName preRegister(MBeanServer mBeanServer,
                                  ObjectName objectName)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean aBoolean)

  Specified by:
    `postRegister` in interface `MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener,
                                           NotificationFilter filter,
                                           Object object)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationEmitter`
  Throws:
    `ListenerNotFoundException`

### addNotificationListener

    public void addNotificationListener(NotificationListener listener,
                                        NotificationFilter filter,
                                        Object object)
                                 throws IllegalArgumentException

  Specified by:
    `addNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `IllegalArgumentException`

### removeNotificationListener

    public void removeNotificationListener(NotificationListener listener)
                                    throws ListenerNotFoundException

  Specified by:
    `removeNotificationListener` in interface `NotificationBroadcaster`
  Throws:
    `ListenerNotFoundException`

### getNotificationInfo

    public MBeanNotificationInfo[] getNotificationInfo()

  Specified by:
    `getNotificationInfo` in interface `NotificationBroadcaster`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.